Botan 2.19.5 Crypto and TLS for C&

Namespaces | Functions
oids.h File Reference
`#include <botan/asn1_obj.h>`
`#include <unordered_map>`

Go to the source code of this file.

## Namespaces
namespace | Botan
namespace | Botan::OIDS

## Functions
BOTAN_UNSTABLE_API void | Botan::OIDS::add_oid (const OID &oid, const std::string &name)
BOTAN_UNSTABLE_API void | Botan::OIDS::add_oid2str (const OID &oid, const std::string &name)
BOTAN_UNSTABLE_API void | Botan::OIDS::add_oidstr (const char *oidstr, const char *name)
BOTAN_UNSTABLE_API void | Botan::OIDS::add_str2oid (const OID &oid, const std::string &name)
BOTAN_UNSTABLE_API bool | Botan::OIDS::have_oid (const std::string &oid)
std::unordered_map< std::string, std::string > | Botan::OIDS::load_oid2str_map ()
std::unordered_map< std::string, OID > | Botan::OIDS::load_str2oid_map ()
std::string | Botan::OIDS::lookup (const OID &oid)
OID | Botan::OIDS::lookup (const std::string &name)
bool | Botan::OIDS::name_of (const OID &oid, const std::string &name)
std::string | Botan::OIDS::oid2str (const OID &oid)
BOTAN_UNSTABLE_API std::string | Botan::OIDS::oid2str_or_empty (const OID &oid)
BOTAN_UNSTABLE_API std::string | Botan::OIDS::oid2str_or_throw (const OID &oid)
OID | Botan::OIDS::str2oid (const std::string &name)
BOTAN_UNSTABLE_API OID | Botan::OIDS::str2oid_or_empty (const std::string &name)